Affected QGIS version:master Regression?: No
Pull Request or Patch supplied: Resolution: fixed/implemented
Description

Some expresssions can't be used in the refactor fields algorithm. The preview in the expression editor works fine, but the resulting field in
the output remains empty.

Example of expressions that don't work:

represent_value("some_field")

relation_aggregates:

--Anzahl Sonden. Feld anz_sonden

relation_aggregate(
relation:='"Erdwdrmesonden’,
aggregate:='sum’,
expression:="anzahl_sonden"

)

--Kumulierte Bohrlénge. Feld gesamt_bohrlaenge
relation_aggregate(

relation:='"Erdwarmesonden’,

aggregate:='sum’,

expression:="anzahl_sonden" * "bohrtiefe"

)

Associated revisions

Revision cd0ba918 - 2017-11-23 03:24 PM - Matthias Kuhn

Use layer context in RefactorFields algorithm

Fix #17533

History

#1 - 2017-11-23 03:24 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

2025-06-14 12




Applied in changeset commit:qgis|cd0ba918ba6508b57b6ef78dc20fcd465d28d4da.

#2 - 2017-11-23 06:45 PM - Giovanni Manghi
- Resolution set to fixed/implemented
